2017-10-19 05:24 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001827openmediavaultBugpublic2017-10-15 19:53
ReporterSkaronator 
Assigned Tovotdev 
PriorityimmediateSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product VersionArrakis (4.x) 
Target VersionFixed in VersionArrakis (4.x) 
Summary0001827: shared folder mount happens before ZFS mount
DescriptionSince OMV 4 the shared folder mounting happens before ZFS can mount the ZFS Raid.

As you can see in this Log:

Sep 30 14:41:32 OMV-NAS systemd[1]: Mounting /sharedfolders/Eltern-Private...
Sep 30 14:41:32 OMV-NAS systemd[1]: Mounting /sharedfolders/Temp...
Sep 30 14:41:32 OMV-NAS systemd[1]: Mounting /sharedfolders/Multimedia...
Sep 30 14:41:32 OMV-NAS systemd[1]: Mounting /sharedfolders/Niklas-Private...
Sep 30 14:41:32 OMV-NAS systemd[1]: Mounting /tmp...
Sep 30 14:41:32 OMV-NAS systemd[1]: Mounted /sharedfolders/Niklas-Private.
Sep 30 14:41:32 OMV-NAS systemd[1]: Mounted /sharedfolders/Temp.
Sep 30 14:41:32 OMV-NAS systemd[1]: Mounted /sharedfolders/Eltern-Private.
Sep 30 14:41:32 OMV-NAS systemd[1]: Mounted /sharedfolders/Multimedia.
...
Sep 30 14:41:32 OMV-NAS systemd[1]: Starting Import ZFS pools by cache file...
...
Sep 30 14:41:55 OMV-NAS systemd[1]: Started Import ZFS pools by cache file.
Sep 30 14:41:55 OMV-NAS systemd[1]: Starting Mount ZFS filesystems...
Sep 30 14:41:55 OMV-NAS zfs[2080]: cannot mount '/StorageZFS': directory is not empty
Sep 30 14:41:55 OMV-NAS systemd[1]: zfs-mount.service: Main process exited, code=exited, status=1/FAILURE
Sep 30 14:41:55 OMV-NAS systemd[1]: Failed to start Mount ZFS filesystems.
Sep 30 14:41:55 OMV-NAS systemd[1]: zfs-mount.service: Unit entered failed state.
Sep 30 14:41:55 OMV-NAS systemd[1]: zfs-mount.service: Failed with result 'exit-code'.
Steps To Reproduce0. OMV 4 with ZFS and Shared Folder with SMB
1. Restart OMV
2. OMV (or something else) create folders at the Shared Folders location since they don't exist
3. ZFS try to mount but can't because mounting location isn't empty

So to get it working after each restart I need to rm -rf /StorageZFS folders and then mount ZFS mount StorageZFS.
Additional Informationhttps://github.com/OpenMediaVault-Plugin-Developers/openmediavault-zfs/issues/27
TagsNo tags attached.
Product build4.0.5-1
Attached Files

-Relationships
+Relationships

-Notes

~0004967

Skaronator (reporter)

Still happens in 4.0.6-1 - looks like I can't update this issue.

~0004969

votdev (administrator)

Should be fixed in openmediavault 4.0.7, see https://github.com/openmediavault/openmediavault/commit/9a1dd019ae27d742fb6f6e22e2fae0058530618c and https://github.com/openmediavault/openmediavault/commit/4d02d2409a56e00288facbbc346160aa92f614aa.
+Notes

-Issue History
Date Modified Username Field Change
2017-09-30 16:02 Skaronator New Issue
2017-09-30 16:02 Skaronator Status new => assigned
2017-09-30 16:02 Skaronator Assigned To => votdev
2017-09-30 16:02 Skaronator File Added: debug.log
2017-10-14 02:49 Skaronator Note Added: 0004967
2017-10-15 19:53 votdev Status assigned => resolved
2017-10-15 19:53 votdev Resolution open => fixed
2017-10-15 19:53 votdev Fixed in Version => Arrakis (4.x)
2017-10-15 19:53 votdev Note Added: 0004969
+Issue History